Subject: Re: Recv Label Mapping procedure

From: "Siddharth Gahlaut" <[email-masked]>
Date: Mon, 29 Nov 1999 16:29:42 -0500

Hi Bob,

I just asked this as u had stated in ur earlier mail that:

>> >The loop detection mechanism is intended for use with the Label Mapping
>> >and Label Request messages when operating in Downstream on Demand mode.
>> >
I Guess I interpreted it in the wrong way.

 If the modification holds then It should be applicable for both DoD and DU.
Thanks
Siddharth
-----Original Message-----
From: Bob Thomas <[email-masked]>
To: Siddharth Gahlaut <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Monday, November 29, 1999 2:24 PM
Subject: Re: Recv Label Mapping procedure

>Siddharth,
>
>> In section 2.8.3(LDP specs) it is mentioned that it is recommended that
Loop
>> Detection be configured in conjunction with ordered control .This being
done
>> to minimize the number of Mapping updates.
>>
>> However it seems like Loop Detection is configured  for DoD (according to
>> Recv Label Mapping procedures(A.1.2)) and not for DU.Ordered Mode of
>> operation can go along with DoD as well as DU.Is it that Loop Detection
goes
>> only with DoD.
>
>I believe that with the modification you suggest to A.1.2 step LMp.1,
>the Receive Label Mapping procedure handles loop detection for both
>DoD and DU.
>
>Bob
>
>
>
>> Could you please give me some pointers to it.If this is mentioned
somewhere
>> then please let me know.
>>
>> Siddharth
>>
>> -----Original Message-----
>> From: Bob Thomas <[email-masked]>
>> To: Siddharth Gahlaut <[email-masked]>
>> Cc: [email-masked] <[email-masked]>;
>> [email-masked] <[email-masked]>; [email-masked]
>> <[email-masked]>
>> Date: Monday, November 29, 1999 12:42 PM
>> Subject: Re: Recv Label Mapping procedure
>>
>>
>> >Siddharth,
>> >
>> >> Hi,
>> >> I have a question regarding section A.1.2(Recv Label Mapping
procedure).
>> >>
>> >> The very 1st line (LMp.1) says:
>> >>
>> >> LMp.1   Does the received label mapping match an outstanding label
>> >>            request for FEC previously sent to MsgSource.
>> >>            If not, goto LMp.9.
>> >>
>> >> Loop Detection actions are performed between LMp.3 and LMp.8.
>> >> Should I assume that Loop Detection is configured ONLY for the case
when
>> >> the Mapping
>> >> corresponds to a Request.Cause LMp.3 to Lmp.8 are only used when Lmp.1
>> holds
>> >> true.
>> >>
>> >>
>> >> If Loop Detection is  considered as an option then shouldnt  it  be:
>> >>
>> >> LMp.1   Does the received label mapping match an outstanding label
>> >>            request for FEC previously sent to MsgSource.
>> >>            If not, goto LMp.3.
>> >>                 (INSTEAD OF)
>> >> LMp.1   Does the received label mapping match an outstanding label
>> >>            request for FEC previously sent to MsgSource.
>> >>            If not, goto LMp.9.
>> >>
>> >> I might be missing something  in understanding this procedure .Could
>> someone
>> >> give me some pointers to it.
>> >
>> >
>> >The loop detection mechanism is intended for use with the Label Mapping
>> >and Label Request messages when operating in Downstream on Demand mode.
>> >
>> >When operating in Downstream on Demand mode it is possible
>> >to receive a Label Mapping message for which there is no outstanding
>> >Label Request.
>> >
>> >In this circumstance, (if loop detection is configured on) the loop
>> detection
>> >procedures should be executed.
>> >
>> >
>> >Therefore, I agree with you.  LMp.1 should read:
>> >
>> >LMp.1   Does the received label mapping match an outstanding label
>> >        request for FEC previously sent to MsgSource.
>> >        If not, goto LMp.3.
>> >
>> >Note that procedure Check_Received_Attributes (A.2.6) should probably
have
>> >a check to determine whether loop detection is configured on.
>> >
>> >
>> >Thanks,
>> >Bob